#ifndef DUALSHOCK_CO_H
#define DUALSHOCK_CO_H
#include "mbed.h"
#define RS_normal 64
#define RS_MAX 127
#define RL_MAX 255

class DUALSHOCKco{
    
    public:
        void pass_val(double RSX,double RSY,double R2AN,double L2AN);
        bool cal_input();
        double obt_X();
        double obt_Y();
        double obt_rotate();
        
    private:
        double rsx,rsy,r2an,l2an;
        double Xval,Yval,rotate_val;

};

#endif